Box of Broadcasts

Follow

Box of Broadcasts

 

In order to use 'Box of Broadcasts' you must have the latest version of Adobe Flash Player installed (ver 17). This is not applicable to Google Chrome users.

The plugin is available from UOD software for all staff.

 

Have more questions? Submit a request

Comments

Powered by Zendesk